import { z } from 'zod';
import { SPECIAL_COLLECTIVE_ID_EXTERNAL } from '../specialities/collective/specialCollectiveId';
import { firebaseCommonIdParser } from '../firebase/id/parsers';
import { CollectiveId } from './types';

export const firebaseCollectiveIdParser = z
  .union([z.literal(SPECIAL_COLLECTIVE_ID_EXTERNAL), firebaseCommonIdParser])
  .transform((v) => v as CollectiveId);
