import { z } from 'zod';
import { collectiveGetOneParamsParser, collectiveListQueryParser, collectiveCreateInputParser, collectiveUpdateParamsParser, collectiveUpdateInputParser, collectiveDeleteParamsParser, collectiveGetOneResultParser, collectiveListResultParser } from '../collective/parsers';
export type CollectiveGetOneParams = z.input<typeof collectiveGetOneParamsParser>;
export type CollectiveGetOneParamsTransformed = z.output<typeof collectiveGetOneParamsParser>;
export type CollectiveGetOneResult = z.infer<typeof collectiveGetOneResultParser>;
export type CollectiveListQuery = z.input<typeof collectiveListQueryParser>;
export type CollectiveListQueryTransformed = z.output<typeof collectiveListQueryParser>;
export type CollectiveListResult = z.infer<typeof collectiveListResultParser>;
export type CollectiveCreateBody = z.input<typeof collectiveCreateInputParser>;
export type CollectiveCreateBodyTransformed = z.output<typeof collectiveCreateInputParser>;
export type CollectiveUpdateParams = z.input<typeof collectiveUpdateParamsParser>;
export type CollectiveUpdateParamsTransformed = z.output<typeof collectiveUpdateParamsParser>;
export type CollectiveUpdateBody = z.input<typeof collectiveUpdateInputParser>;
export type CollectiveUpdateBodyTransformed = z.output<typeof collectiveUpdateInputParser>;
export type CollectiveDeleteParams = z.input<typeof collectiveDeleteParamsParser>;
export type CollectiveDeleteParamsTransformed = z.output<typeof collectiveDeleteParamsParser>;
