import { StripeCustomerId, StripePayinMethodId } from '../stripe/types';
import { PAYIN_PROVIDER_ORIGIN_TYPES } from './constants';
export type PayinProviderOriginType = typeof PAYIN_PROVIDER_ORIGIN_TYPES[number];
export type PaypalCustomerId = 'paypal';
export type PayinProviderCustomerId = StripeCustomerId | PaypalCustomerId;
export type PayinProviderCustomerIdPerOriginType = {
    paypal: PaypalCustomerId;
    stripe: StripeCustomerId;
};
export type PayinProviderPaymentMethodIdPerOriginType = {
    paypal: string;
    stripe: StripePayinMethodId;
};
export type PayinProviderOriginId = PayinProviderCustomerId;
