import z from 'zod';
import { ROUTING_STRATEGIES } from './constants';
import { routingStrategyActivationThresholdParser, routingStrategyParser } from './parsers';
export type RoutingStrategyKey = typeof ROUTING_STRATEGIES[number];
export type RoutingStrategyActivationThreshold = z.infer<typeof routingStrategyActivationThresholdParser>;
export type RoutingStrategy = z.infer<typeof routingStrategyParser>;
