import type { z } from 'zod';
import { payinMethodDeleteParamsParser, payinMethodListQueryParser, payinMethodListResultParser, payinMethodUpsertParamsParser, payinMethodUpsertResultParser } from './parsers';
export type PayinMethodUpsertParams = z.infer<typeof payinMethodUpsertParamsParser>;
export type PayinMethodUpsertResult = z.infer<typeof payinMethodUpsertResultParser>;
export type PayinMethodListQuery = z.input<typeof payinMethodListQueryParser>;
export type PayinMethodListQueryTransformed = z.output<typeof payinMethodListQueryParser>;
export type PayinMethodListResult = z.infer<typeof payinMethodListResultParser>;
export type PayinMethodDeleteParams = z.infer<typeof payinMethodDeleteParamsParser>;
