import { z } from 'zod';
import { firestoreListParamsParser } from '../common/parsers/queryParams';
import { isUserId } from '../user/utils';

export const metaUserListParamsParser = firestoreListParamsParser;
const metaUserDocIdParser = z.string().refine(isUserId);
export const metaUserDocGetOneParamsParser = z.object({
  id: metaUserDocIdParser,
});
