import { ChannelId } from '../../../channel/types';
import { SpecialCollectiveIdExternal } from '../../../collective/types';

type Reason = string;

export const specialDeletedChannelMapping = {
  ['VSQm6XuPLhVutSwOPoCq' as ChannelId]: [
    'V6vEdHWnQEXCZX9A6Uzj' as ChannelId,
    "mapped in https://docs.google.com/spreadsheets/d/1w382C5FjPbGHwS9c_vKDIwJlB3ic9SrvVLXvnoeyQVo/edit#gid=0; comment 'manually changed dst to: channel::V6vEdHWnQEXCZX9A6Uzj'",
  ],
} as Record<Exclude<ChannelId, SpecialCollectiveIdExternal>, [ChannelId, Reason]>;
